Subject: Tk-b5 is out.
From: [email-masked]
Date: 26 Jun 1995 21:44:44 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc,comp.lang.perl

Tk-b5 is now out: 

ftp://ftp.Lehigh.EDU/pub/perl5/Tk-b5.tar.gz

May thanks to Steve Lidie <[email-masked]> for his 
help with new demos and testing under AIX's dynamic loading scheme.

This integrates two 'major' changes:

1. Incorporates C code from John Outerhout's tk4.0b4
2. Has method in place for building composite widgets.

In addition it incorporates all the configure/build suggestions
that I understand. Thank you all who contributed them.
So please build from scratch and let me 
know what remaining hacks are needed for your platform.

The tk4.0b4 merge is incomplete, in that the Tcl code has not been 
finally converted to equivalent perl code. This is partly because 
I want help, and partly because 'we' had already made some of the
changes, and others may not make sense given that 'we' can use 
classes and Tcl can't.  Please report snags to [email-masked] list.

The Composite stuff is still a prototype (alpha if you like),
in that I expect it to evolve a little when used in anger.
Will those of you that have been active in composite widget 
creation check it out and continue to discuss it on [email-masked] list.

Note that as Dialog.pm is now a 'Composite' in the new sense 
it has a different calling convention to Tk-b4 and earlier
(more like a normal Tk widget).